!
! $Header$
!
       PROGRAM create_etat0_limit
c
c
c     Programme d'appel a etat0, creation des etats initiaux et limit_netcdf
c   
c
c     interbar = .T . si appel a  interpol. barycentrique inter_barxy
c
c     extrap   = .T . si on fait une extrapolation de donnees , comme pour
c       les  SST  lorsque  le fichier ne contient pas uniquement  des points 
c     oceaniques .
c
c     oldice   = .T. si l'on veut garder les anciennes glaces , obtenues
c     par  grille_m  ( grid_atob ) .
c
c     on cree le masque dans etat0 que l'on passe ensuite dans limit pour 
c     garder les cohérences

      LOGICAL interbar, extrap , oldice
      PARAMETER ( interbar = .true. , extrap = .FALSE. , oldice=.false.)
#include "dimensions.h"
#include "paramet.h"
#include "indicesol.h"
#include "dimphy.h"
      REAL :: masque(iip1,jjp1)
      REAL :: pctsrf(klon, nbsrf)

      WRITE(6,*) '  *********************  '
      WRITE(6,*) ' interbar = ',interbar
      CALL etat0_netcdf ( interbar, masque, pctsrf )
c
      WRITE(6,1)
      WRITE(6,*) '  *********************  '
      WRITE(6,*) '  ***  Limit_netcdf ***  '
      WRITE(6,*) '  *********************  '
      WRITE(6,1)
c
      CALL  limit_netcdf ( interbar, extrap , oldice, masque, pctsrf )

1     FORMAT(//)

      STOP
      END
